Index: collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 19367)
+++ collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 19546)
@@ -186,4 +186,37 @@
 collectionmeta	HideBibTeXrecord [l=ru] "Ð¡ÐºÑÑÑÐ°Ñ Ð·Ð°Ð¿ÐžÑÑ BibTeX"
 
+# -- Simplified Chinese strings ----------------
+collectionmeta	collectionname [l=zh] "æç®è¡¥å
+
+éŠè"
+
+collectionmeta	.text [l=zh] "ææè®°åœ"
+
+collectionmeta	AuthoredBy [l=zh] "èè
+"
+collectionmeta	PaperTitle [l=zh] "è®ºæé¢å"
+collectionmeta	Editors [l=zh] "çŒèŸ"
+collectionmeta	EditorRole [l=zh] "çŒèŸè§è²"
+collectionmeta	BookJournalTitle [l=zh] "ä¹Š/æåé¢å"
+collectionmeta	In [l=zh] "äº"
+collectionmeta	Number [l=zh] "æ"
+collectionmeta	Vol [l=zh] "å·"
+collectionmeta	MeetingDate [l=zh] "äŒè§æ¶æ"
+collectionmeta	MeetingPlace [l=zh] "äŒè§å°ç¹"
+collectionmeta	PublicationPlace [l=zh] "åºçå°å"
+collectionmeta	Publisher [l=zh] "åºçå"
+collectionmeta	PublicationDate [l=zh] "åºçæ¥æ"
+collectionmeta	Pages [l=zh] "é¡µ"
+collectionmeta	DocType [l=zh] "ææ¡£ç±»å"
+collectionmeta	LocationURL [l=zh] "äœçœ®/URL"
+collectionmeta	Annotations [l=zh] "æ³šé"
+collectionmeta	Abstract [l=zh] "ææ"
+collectionmeta	Keywords [l=zh] "å
+³é®è¯"
+
+collectionmeta	BibTeXrecord [l=zh] "BibTeXè®°åœ"
+collectionmeta	ShowBibTeXrecord [l=zh] "æŸç€ºBibTeXè®°åœ"
+collectionmeta	HideBibTeXrecord [l=zh] "éèBibTeXè®°åœ"
+
 # -- English text ----------------
 collectionmeta	collectionextra [l=en] "This collection, which contains _about:numdocs_
@@ -426,2 +459,60 @@
 ÐÐ°Ð¶ÐŽÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐŒÐŸÐ¶ÐµÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑÑÑ ÑÐ°ÐŒÐŸÑÑÐŸÑÑÐµÐ»ÑÐœÐŸ, ÐµÑÐ»Ðž ÑÐ»ÐµÐŽÐŸÐ²Ð°ÑÑ ÐžÐœÑÑÑÑÐºÑÐžÑÐŒ, Ð¿ÑÐžÐ²ÐµÐŽÐµÐœÐœÑÐŒ ÐœÐžÐ¶Ðµ, ÐºÐŸÑÐŸÑÑÐµ Greenstone Ð³ÐµÐœÐµÑÐžÑÑÑÑ Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž.
 "
+
+# -- Simplified Chinese text ----------------
+collectionmeta	collectionextra [l=zh] "
+æ¬éŠèå
+å«äº_about:numdocs_æ¡BibTeXè®°åœïŒç±<a href=\"http://www.waikato.ac.nz\">æå¡æå€§å­Š</a>
+<a href=\"http://www.cs.waikato.ac.nz\">è®¡ç®æºç³»</a>åš1997è³2006å¹ŽéŽåè¡šçå·¥äœè®ºæç»æã\n 
+ 
+<h3>æ¬éŠèåŠäœå·¥äœ</h3>\n 
+ 
+<p>æ¬éŠèïŒ\"bibtex-supp-e\"ïŒçç®çæ¯æŒç€ºGreenstoneç\"supercollection\"ïŒäžçº§éŠèïŒåèœã\n 
+ 
+<p>æ¬éŠèåŸå°ïŒåªæ_about:numdocs_äžªææ¡£ïŒåŠåç¹å»<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\"><i>é¢å</i></a>æé®æç€ºã
+å®çç»æäžæŽå€§äºçéŠè<a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/bibtex-e&a=p&p=about&ct=1&qto=3&qt=1&l=en&w=utf-8\">
+æç®éŠè</a>çžåïŒé€äºæ²¡æ<i>è¯ç»</i>æé®ä¹å€ïŒå äžºæ¬éŠèå€ªå°ïŒäžéåçšè¯ç»çŽ¢åŒïŒã\n 
+ 
+<p>æ¬éŠèç<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>é
+çœ®æä»¶</a>äžæç®éŠèïŒ\"bibtex-e\"ïŒçé
+çœ®æä»¶çžåïŒé€äºåŸå°äœå
+³é®
+çäžå€åºå«ïŒè¿äžè¡\n 
+ 
+<pre> 
+supercollection documented-examples/bibtex-supp-e documented-examples/bibtex-e 
+</pre>\n 
+ 
+\"documented-examples/\"éšåçéŠèåæ¯å¿
+éçïŒå äžºè¿äºéŠèå­åšäºcollectç®åœäž­\"documented-examples\"éŠèç»å­æä»¶å€¹äž­ã\n 
+ 
+<p>è¿åªäŒåœ±åå°<i>æçŽ¢</i>ïŒäžäŒåœ±åå°æµè§ãè¿æå³çåœè¿è¡æçŽ¢æ¶ïŒ<i>bibtex-e</i>éŠèä¹äŒè¢«èªåšæçŽ¢å°ãæ¯åŠïŒåŠæäœ æµè§
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\"><i>é¢å</i></a>åè¡šïŒäœ å°çå°äžäºå
+³äº\"event\"ïŒäºä»¶ïŒçè®°åœã
+äœæ¯åŠæäœ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1&r=1&hs=1&fqa=0&fqv=event,,,&fqf=TX,CR,LA,SO\">æçŽ¢</a>
+<i>event</i>ïŒäœ å°æŸå°17å¹é
+çææ¡£ãè¿æ¯å äžºåæ ·çæçŽ¢åšæç®éŠèäž­å¹é
+å°12äžªææ¡£ã\n 
+ 
+<p><i>äžçº§éŠè</i>æäž€äžªäž»èŠççšéãäžç§æ
+åµæ¯åœäžäžªéŠèè¢«æç»­æŽæ°æ·»å æ°ææïŒèåäžå¯èœåšæ¯æ¬¡æ·»å åéœéæ°æå»ºéŠèãæ°ææå¯ä»¥è¢«æ·»å å°å°çã
+å¯å¿«ééå»ºçéå±éŠèäž­ãè¿äž€äžªéŠèå®æäŒè¢«èåãéå»ºãäž»éŠèå¯ä»¥å
+å«äžäžª<i>supercollection</i>ïŒäžçº§éŠèïŒçå®ä¹ãïŒåœåéŠèå³æäžäžªäž»äœç
+\"æç®\"éŠèåäžäžªå°äºç\"éå±\"éŠèïŒäœæ¯è¿éââå äžºæä»¬å³å®è¿ä¹æ¥è§£éè¿äžªåèœââå®é
+äž<i>supercollection</i>å®ä¹åºç°åš\"éå±\"éŠèäž­!)\n 
+ 
+<p><i>äžçº§éŠè</i>åæ ·å¯çšäºåºå€§çéŠèãéåžžæ
+åµäžGreenstoneéŠèå¯ä»¥æ¯åŸå€§è§æš¡çââæä»¬æå»ºè¿ç±1å1çŸäžäžªç­ææ¡£ç»æçéŠèïŒèåŠäžäžªéŠèç±
+7 GBææ¬ç»æãç¶èïŒå€§è§æš¡éŠèå¯ä»¥è¢«åå²æå éšåãäžäžªå°è§æš¡çäŸå­æ¯äžäžªæäžçŸäžäžªå°ææ¡£çéŠèè¢«åæ£å°5åŒ CD-ROMäžïŒæ¯äžªéœæ¯ç¬ç«çGreenstone
+éŠèãåœå€äžªéŠèè¢«å®è£
+å°ç¡¬çäžæ¶ïŒè¿äºéŠèå³å¯æäžºäžäžªæ çŒçæŽäœïŒå¹¶å¯¹å
+¶å
+šéšè¿è¡æçŽ¢ã\n 
+ 
+<p>äžçº§éŠèçåèœåªéäº<i>æçŽ¢</i>ãåšæµè§æ¶ïŒç®åçè¿äžªéŠèéåžžå°ãäœæ¯åšæçŽ¢æ¶ïŒå®å°±æŸåŸå€§åŸå€ãæä»¬åç°å¯¹äºå€§è§æš¡éŠèèèšïŒæµè§çäœçšä¹æ¯
+æéçãæ¯åŠïŒåé¢æå°çCD-ROMéŠèå°±æ²¡ææµè§æé®ïŒåªææçŽ¢æé®ã\n 
+ 
+<p>æ¬ç€ºäŸäž­çäž€äžªéŠèæçäžæš¡äžæ ·çç»æã<i>äžçº§éŠè</i>ä¹å¯çšäºç»æäžäžæ ·çéŠèãæ¯äžªéŠèéœå°æ­£åžžæŸç€ºïŒèè·šéŠèæçŽ¢ä¹å°æ­£åžžå·¥äœãåœæŸç€ºææ¡£
+æ¶ïŒå
+¶æŸç€ºæ¹åŒå°åå³äºå®ä»¬æå±éŠèçæ ŒåŒå®ä¹ã\n
+"