Index: /gsdl/trunk/macros/french.dm
===================================================================
--- /gsdl/trunk/macros/french.dm	(revision 19554)
+++ /gsdl/trunk/macros/french.dm	(revision 19555)
@@ -168,9 +168,11 @@
 _textmonth12_ [l=fr] {dÃ©cembre}
 
+_texttext_ [l=fr] {Texte}  
+_labeltext_ [l=fr] {_texttext_}  
 _textdocument_ [l=fr] {Document}
 _textsection_ [l=fr] {Section}
 _textparagraph_ [l=fr] {Paragraphe}
-_textchapter_ [l=fr] {ChÃ¢pitre}
-_textbook_ [l=fr] {Livre}
+_textchapter_ [l=fr] {Chapitre}  
+_textbook_ [l=fr] {Livre}  
 
 _magazines_ [l=fr] {Magazines}
@@ -347,5 +349,6 @@
 _textall_ [l=fr] {tous les}
 _textboolean_ [l=fr] {boolÃ©en}  
-_textranked_ [l=fr] {classÃ©}  
+_textranked_ [l=fr] {classÃ©e
+}  
 _textnatural_ [l=fr] {naturel}  
 _textsortbyrank_ [l=fr] {rang de pertinence}
@@ -391,17 +394,17 @@
 # unset
 
-_textsimplesearch_ [l=fr] {Rechercher dans le(s) _indexselection_ _If_(_jselection_,des fichiers _jselection_ )_If_(_gselection_, au niveau de _gselection_ )_If_(_nselection_,en langue _nselection_ )contenant _querytypeselection_ mots_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_) }  
-
-_textadvancedsearch_ [l=fr] {Rechercher _indexselection_ _If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_ )_If_(_nselection_, dans _nselection_ langue) en utilisant _querytypeselection_ requÃªte }  
-
-_textadvancedmgppsearch_ [l=fr] {Rechercher _indexselection_ _If_(_jselection_,des fichiers _jselection_ )_If_(_gselection_,au niveau de _gselection_ )_If_(_nselection_,en langue _nselection_ ) et afficher les rÃ©sultats selon l'ordre  _formquerytypeadvancedselection_ }  
-
-_textadvancedlucenesearch_ [l=fr] {Rechercher _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_ )_If_(_nselection_, en langue _nselection_ )_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_\,) }  
-
-_textformsimplesearch_ [l=fr] {Rechercher dans les fichiers _If_(_jselection_, _jselection_) _If_(_gformselection_, au niveau de _gformselection_ ) _If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon _formquerytypesimpleselection_ critÃšres suivants : }  
-
-_textformadvancedsearchmgpp_ [l=fr] {Rechercher dans les fichiers _If_(_jselection_,_jselection_ )_If_(_gformselection_,au niveau de _gformselection_ )_If_(_nselection_,en langue _nselection_ )et afficher les rÃ©sultats selon l'ordre  _formquerytypeadvancedselection_}  
-
-_textformadvancedsearchlucene_ [l=fr] {Rechercher dans les fichiers _If_(_jselection_, _jselection_)_If_(_gformselection_,  au niveau de _gformselection_ )_If_(_nselection_, en langue _nselection_ )_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon les critÃšres suivants : }  
+_textsimplesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_,des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_,en langue _nselection_ )_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_) _querytypeselection_ mots :}  
+
+_textadvancedsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, dans _nselection_ langue) par requÃªte _querytypeselection_}  
+
+_textadvancedmgppsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_) et afficher les rÃ©sultats selon l'ordre _formquerytypeadvancedselection_ :}  
+
+_textadvancedlucenesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_\,) }  
+
+_textformsimplesearch_ [l=fr] {Rechercher _If_(_jselection_, _jselection_) _If_(_gformselection_, au niveau de _gformselection_ ) _If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon _formquerytypesimpleselection_ critÃšres suivants : }  
+
+_textformadvancedsearchmgpp_ [l=fr] {Rechercher _If_(_jselection_,_jselection_ )_If_(_gformselection_,au niveau de _gformselection_)_If_(_nselection_,en langue _nselection_ ) et afficher les rÃ©sultats selon l'ordre  _formquerytypeadvancedselection_ :}  
+
+_textformadvancedsearchlucene_ [l=fr] {Rechercher _If_(_jselection_, _jselection_)_If_(_gformselection_,  au niveau de _gformselection_)_If_(_nselection_, en langue _nselection_ )_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon les critÃšres suivants : }  
 
 _textnojsformwarning_ [l=fr] {Attention: Javascript est dÃ©sactivÃ© dans votre navigateur web. <br> Pour utiliser la recherche par formulaire, veuillez l'activer.}
@@ -426,5 +429,5 @@
 _texthallwords_ [l=fr] {tous les mots}
 _texthsomewords_ [l=fr] {quelques mots}
-_texthboolean_ [l=fr] {boolÃ©en}
+_texthboolean_ [l=fr] {boolÃ©enne}  
 _texthranked_ [l=fr] {avec score}
 _texthcaseon_ [l=fr] {la casse doit correspondre}
@@ -495,4 +498,7 @@
 _textnohistorydisplay_ [l=fr] {ne pas afficher l'historique de recherche}  
 
+_textbookoption_ [l=fr] {Mode lecteur de livre :}  
+_textbookvieweron_ [l=fr] {actif}  
+_textbookvieweroff_ [l=fr] {inactif}  
 
 #####################################################################
@@ -545,6 +551,5 @@
 _textreadingdocs_ [l=fr] {Comment lire les documents}
 
-_texthelpreadingdocs_ [l=fr] {
-<p>Lorsqu'un document est affichÃ©, titre ou image de la page de couverture apparaÃ®t en haut et Ã  gauche. Dans certaines collections, une table des matiÃšres s'affiche, tandis que dans d'autres (si l'option image paginÃ©e est utilisÃ©e), vous ne trouverez que le numÃ©ro de la page sÃ©lectionnÃ©e et une boÃ®te qui vous permet soit de sÃ©lectionner une nouvelle page, soit de passer Ã  la page suivante ou prÃ©cÃ©dente. Dans la table des matiÃšres, le titre de la section sÃ©lectionnÃ©e est affichÃ© en gras, et la table peut Ãªtre dÃ©veloppÃ©e -- cliquez sur les dossiers pour les ouvrir ou les fermer ; cliquez sur le livre ouvert en haut de la page si vous souhaitez le fermer.</p>
+_texthelpreadingdocs_ [l=fr] {<p>Lorsqu'un document est affichÃ©, titre ou image de la page de couverture apparaÃ®t en haut et Ã  gauche. Dans certaines collections, une table des matiÃšres s'affiche, tandis que dans d'autres (si l'option image paginÃ©e est utilisÃ©e), vous ne trouverez que le numÃ©ro de la page sÃ©lectionnÃ©e et une boÃ®te qui vous permet soit de sÃ©lectionner une nouvelle page, soit de passer Ã  la page suivante ou prÃ©cÃ©dente. Dans la table des matiÃšres, le titre de la section sÃ©lectionnÃ©e est affichÃ© en gras, et la table peut Ãªtre dÃ©veloppÃ©e -- cliquez sur les dossiers pour les ouvrir ou les fermer ; cliquez sur le livre ouvert en haut de la page si vous souhaitez le fermer.</p>
 
 <p>Au-dessous, on trouve le texte de la section sÃ©lectionnÃ©e. A la fin de votre lecture, vous pouvez utiliser l'une des deux flÃšches en bas de page, soit pour passer Ã  la section suivante, soit pour revenir Ã  la section prÃ©cÃ©dente.</p>