Index: /release-kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /release-kits/cdrk2/ant-scripts/build.xml	(revision 19565)
+++ /release-kits/cdrk2/ant-scripts/build.xml	(revision 19566)
@@ -125,7 +125,12 @@
 
 	<target name="get-documented-examples">
+		<!-- create Document Examples folder -->
+		<delete dir="cdrom/Documented Examples"/>
+		<copy toDir="cdrom"><fileset dir="${cdrk2.home}/resources/Documented Examples"/></copy>
+
+		<!-- download and insert the documented examples -->
 		<mkdir dir="archives"/>
 		<get src="${software.archive.documented-examples}" dest="archives/documented-examples.tar.gz"/>
-		<untar src="archives/documented-examples.tar.gz" dest="cdrom" compression="gzip" overwrite="true"/>
+		<untar src="archives/documented-examples.tar.gz" dest="cdrom/Documented Examples" compression="gzip" overwrite="true"/>
 	</target>
 
@@ -156,21 +161,26 @@
 		<antcall target="insert-software-linux"/>
 		<antcall target="insert-software-windows"/>
-<!--
 		<antcall target="insert-software-mac"/>
--->
 	</target>
 
 	<target name="insert-software-linux">
-		<mkdir dir="cdrom/Software"/>
+		<mkdir dir="cdrom"/>
 		<mkdir dir="archives"/>
 		<get src="${software.archive.linux}" dest="archives/linux.tar.gz"/>
-		<untar src="archives/linux.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
+		<untar src="archives/linux.tar.gz" dest="cdrom" compression="gzip" overwrite="true"/>
 	</target>
 
 	<target name="insert-software-windows">
-		<mkdir dir="cdrom/Software"/>
+		<mkdir dir="cdrom"/>
 		<mkdir dir="archives"/>
 		<get src="${software.archive.windows}" dest="archives/windows.tar.gz"/>
-		<untar src="archives/windows.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
+		<untar src="archives/windows.tar.gz" dest="cdrom" compression="gzip" overwrite="true"/>
+	</target>
+
+	<target name="insert-software-mac">
+		<mkdir dir="cdrom"/>
+		<mkdir dir="archives"/>
+		<get src="${software.archive.mac}" dest="archives/mac.tar.gz"/>
+		<untar src="archives/mac.tar.gz" dest="cdrom" compression="gzip" overwrite="true"/>
 	</target>
 
Index: /release-kits/cdrk2/resources/Documented Examples/README.txt
===================================================================
--- /release-kits/cdrk2/resources/Documented Examples/README.txt	(revision 19566)
+++ /release-kits/cdrk2/resources/Documented Examples/README.txt	(revision 19566)
@@ -0,0 +1,4 @@
+Copy the entire 'documented-examples' folder into the 'collect' folder of your
+Greenstone installation (GSDLHOME/collect) to install the documented example
+collections.
+
Index: /release-kits/derk/ant-scripts/build.xml
===================================================================
--- /release-kits/derk/ant-scripts/build.xml	(revision 19565)
+++ /release-kits/derk/ant-scripts/build.xml	(revision 19566)
@@ -72,5 +72,5 @@
 	<target name="create-archives">
 		<mkdir dir="products"/>
-		<zip destfile="products/Greenstone-documented-examples-${version}.zip" basedir="${basedir}" includes="documented-examples/**/*"/>
+		<zip destfile="products/Greenstone-documented-examples-${version}.zip"  basedir="." includes="documented-examples/**/*"/>
 		<exec executable="tar">
 			<arg line="-czf products/Greenstone-documented-examples-${version}.tar.gz documented-examples"/>
Index: lease-kits/lirk2/setup.bash
===================================================================
--- /release-kits/lirk2/setup.bash	(revision 19565)
+++ 	(revision )
@@ -1,9 +1,0 @@
-if [ "$LIRK2_HOME" != "" ]; then
-	echo "lirk2 envorinment already set up"
-else
-	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
-	export LIRK2_HOME="`cd $home_possibly_relative && pwd`"
-	export PATH=$LIRK2_HOME/bin:$PATH
-	echo "Done"
-fi
-
Index: /release-kits/lirk2/setup.sh
===================================================================
--- /release-kits/lirk2/setup.sh	(revision 19566)
+++ /release-kits/lirk2/setup.sh	(revision 19566)
@@ -0,0 +1,8 @@
+if [ "$LIRK2_HOME" != "" ]; then
+	echo "lirk2 envorinment already set up"
+else
+	home_possibly_relative=`dirname ${BASH_SOURCE[0]}`
+	export LIRK2_HOME="`cd $home_possibly_relative && pwd`"
+	export PATH=$LIRK2_HOME/bin:$PATH
+fi
+
Index: lease-kits/lirk3/setup.bash
===================================================================
--- /release-kits/lirk3/setup.bash	(revision 19565)
+++ 	(revision )
@@ -1,9 +1,0 @@
-if [ "$LIRK3_HOME" != "" ]; then
-	echo "lirk3 envorinment already set up"
-else
-	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
-	export LIRK3_HOME="`cd $home_possibly_relative && pwd`"
-	export PATH=$LIRK3_HOME/bin:$PATH
-	echo "Done"
-fi
-
Index: /release-kits/lirk3/setup.sh
===================================================================
--- /release-kits/lirk3/setup.sh	(revision 19566)
+++ /release-kits/lirk3/setup.sh	(revision 19566)
@@ -0,0 +1,8 @@
+if [ "$LIRK3_HOME" != "" ]; then
+	echo "lirk3 envorinment already set up"
+else
+	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
+	export LIRK3_HOME="`cd $home_possibly_relative && pwd`"
+	export PATH=$LIRK3_HOME/bin:$PATH
+fi
+
Index: lease-kits/mark2/setup.bash
===================================================================
--- /release-kits/mark2/setup.bash	(revision 19565)
+++ 	(revision )
@@ -1,9 +1,0 @@
-if [ "$MARK2_HOME" != "" ]; then
-	echo "mark2 envorinment already set up"
-else
-	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
-	export MARK2_HOME="`cd $home_possibly_relative && pwd`"
-	export PATH=$MARK2_HOME/bin:$PATH
-	echo "Done"
-fi
-
Index: /release-kits/mark2/setup.sh
===================================================================
--- /release-kits/mark2/setup.sh	(revision 19566)
+++ /release-kits/mark2/setup.sh	(revision 19566)
@@ -0,0 +1,8 @@
+if [ "$MARK2_HOME" != "" ]; then
+	echo "mark2 envorinment already set up"
+else
+	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
+	export MARK2_HOME="`cd $home_possibly_relative && pwd`"
+	export PATH=$MARK2_HOME/bin:$PATH
+fi
+
Index: lease-kits/mark3/setup.bash
===================================================================
--- /release-kits/mark3/setup.bash	(revision 19565)
+++ 	(revision )
@@ -1,9 +1,0 @@
-if [ "$MARK3_HOME" != "" ]; then
-	echo "mark3 envorinment already set up"
-else
-	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
-	export MARK3_HOME="`cd $home_possibly_relative && pwd`"
-	export PATH=$MARK3_HOME/bin:$PATH
-	echo "Done"
-fi
-
Index: /release-kits/mark3/setup.sh
===================================================================
--- /release-kits/mark3/setup.sh	(revision 19566)
+++ /release-kits/mark3/setup.sh	(revision 19566)
@@ -0,0 +1,8 @@
+if [ "$MARK3_HOME" != "" ]; then
+	echo "mark3 envorinment already set up"
+else
+	home_possibly_relative=`dirname ${BASH_SOURCE:-$0}`
+	export MARK3_HOME="`cd $home_possibly_relative && pwd`"
+	export PATH=$MARK3_HOME/bin:$PATH
+fi
+
Index: /release-kits/sork2/ant-scripts/build.xml
===================================================================
--- /release-kits/sork2/ant-scripts/build.xml	(revision 19565)
+++ /release-kits/sork2/ant-scripts/build.xml	(revision 19566)
@@ -64,4 +64,6 @@
 	<target name="create-archives">
 		<mkdir dir="products"/>
+		<delete file="products/Greenstone-${version}-source-distribution.zip"/>
+		<zip destfile="products/Greenstone-${version}-source-distribution.zip"  basedir="distributions" includes="Greenstone-${version}-source-distribution/**/*"/>
 		<exec dir="distributions" executable="tar">
 			<arg line="-czf ../products/Greenstone-${version}-source-distribution.tar.gz Greenstone-${version}-source-distribution"/>
@@ -121,5 +123,7 @@
 		<delete file="distributions/Greenstone-${version}-source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
 
-		<!-- tar it up -->
+		<!-- archive it -->
+		<delete file="products/Greenstone-${version}-source-component.zip"/>
+		<zip destfile="products/Greenstone-${version}-source-component.zip"  basedir="distributions" includes="Greenstone-${version}-source-component/**/*"/>
 		<exec dir="distributions" executable="tar">
 			<arg line="-czf ../products/Greenstone-${version}-source-component.tar.gz Greenstone-${version}-source-component"/>