Index: release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- release-kits/lirk2/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/lirk2/installer/antinstall-config.xml	(revision 19599)
@@ -50,7 +50,15 @@
 			defaultValue="/usr/local/Greenstone2"
 			create="true"
-			displayText="" />
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
 
 	</page>
+
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
+	</page>
+
 
 	<!-- start binary release -->
Index: release-kits/lirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/lirk3/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/lirk3/installer/antinstall-config.xml	(revision 19599)
@@ -53,5 +53,4 @@
 
 	</page>
-
 
 	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
Index: release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- release-kits/mark2/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/mark2/installer/antinstall-config.xml	(revision 19599)
@@ -48,7 +48,14 @@
 			defaultValue="/usr/local/Greenstone2"
 			create="true"
-			displayText="" />
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
+	</page>
 
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
 	</page>
+
 
 	<!-- start binary release -->
Index: release-kits/mark3/installer/antinstall-config.xml
===================================================================
--- release-kits/mark3/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/mark3/installer/antinstall-config.xml	(revision 19599)
@@ -48,6 +48,12 @@
 			defaultValue="/usr/local/Greenstone3"
 			create="true"
-			displayText="" />
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
+	</page>
 
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
 	</page>
 
Index: release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk2/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/wirk2/installer/antinstall-config.xml	(revision 19599)
@@ -44,10 +44,17 @@
 	<page type="input" name="destination" displayText="">
 	
-<!-- Because of Vista UAC related issues, it is now preferred to install Greenstone where the current user has full privileges -->
+	<!-- Because of Vista UAC related issues, it is now preferred to install Greenstone where the current user has full privileges -->
 		<directory property="installDir"
 			defaultValue="${env.HOMEDRIVE}\${env.HOMEPATH}\Greenstone2"
 			create="true"
-			displayText="" />
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
 
+	</page>
+
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
 	</page>
 
Index: release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk3/installer/antinstall-config.xml	(revision 19597)
+++ release-kits/wirk3/installer/antinstall-config.xml	(revision 19599)
@@ -44,10 +44,16 @@
 	<page type="input" name="destination" displayText="">
 
-<!-- Because of Vista UAC related issues, it is now preferred to install Greenstone where the current user has full privileges -->
+	<!-- Because of Vista UAC related issues, it is now preferred to install Greenstone where the current user has full privileges -->
 		<directory property="installDir"
 			defaultValue="${env.HOMEDRIVE}\${env.HOMEPATH}\Greenstone3"
 			create="true"
-			displayText="" />
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
+	</page>
 
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
 	</page>
 