Index: gli/trunk/classes/dictionary_fr.properties
===================================================================
--- gli/trunk/classes/dictionary_fr.properties	(revision 19606)
+++ gli/trunk/classes/dictionary_fr.properties	(revision 19607)
@@ -80,9 +80,9 @@
 CDM.BuildTypeManager.Title:SÃ©lectionnez l'indexeur  
 CDM.BuildTypeManager.mg:MG  
-CDM.BuildTypeManager.mg_Description:"C'est l'indexeur original utilisÃ©  par Greenstone, dÃ©veloppÃ© principalement par Alistair Moffat et dÃ©crite dans le livre classique GÃ©rer des gigaoctets (Managing Gigabytes). Il permet l'indexation au niveau de la section, et les recherches peuvent Ãªtre boolÃ©ennes ou classÃ©es (une seule Ã  la fois). Pour chaque index spÃ©cifiÃ© dans la collection, un index physique distinct est crÃ©Ã©. Pour rechercher une phrase, Greenstone effectue une recherche "ET" sur tous les termes, puis balaye les rÃ©sultats pour voir si la phrase est prÃ©sente. Il a Ã©tÃ© testÃ© sur de trÃšs grandes collections (beaucoup de GB de texte)."  
+CDM.BuildTypeManager.mg_Description:C'est l'indexeur original utilisÃ© par Greenstone, dÃ©veloppÃ© principalement par Alistair Moffat et dÃ©crit dans le livre classique GÃ©rer des gigaoctets (Managing Gigabytes). Il permet l'indexation au niveau de la section, et les recherches peuvent Ãªtre boolÃ©ennes ou classÃ©es (une seule Ã  la fois). Pour chaque index spÃ©cifiÃ© dans la collection, un index physique distinct est crÃ©Ã©. Pour rechercher une phrase, Greenstone effectue une recherche "ET" sur tous les termes, puis examine les rÃ©sultats pour voir si la phrase est prÃ©sente. Il a Ã©tÃ© testÃ© sur de trÃšs grandes collections (beaucoup de Go de texte).  
 CDM.BuildTypeManager.mgpp:MGPP  
-CDM.BuildTypeManager.mgpp_Description:"Cette nouvelle version du MG (MG + +) a Ã©tÃ© dÃ©veloppÃ©e par le New Zealand Digital Library Project. Il effectue une indexation au niveau des mots, qui permet la recherche par champ, par phrase et par proximitÃ©, et qui doit Ãªtre gÃ©rÃ©e par l'indexeur. Les recherches boolÃ©ennes peuvent Ãªtre classÃ©es.Seul un indice unique est crÃ©Ã© pour une collection Greenstone: des niveaux document/section et champs texte/mÃ©tadonnÃ©es sont tous traitÃ©s par l'un index. Pour les collections avec de nombreux indices, cela se traduit par une plus petite taille d'index que celui pour une collection utilisant MG. Pour les grandes collections, la recherche peut Ãªtre un peu plus lente en raison de l'index au niveau du mot plutÃŽt qu'au niveau de la section."  
+CDM.BuildTypeManager.mgpp_Description:Cette nouvelle version du MG (MG + +) a Ã©tÃ© dÃ©veloppÃ©e par le New Zealand Digital Library Project. Il effectue une indexation au niveau des mots, qui permet la recherche par champ, par phrase et par proximitÃ©, et qui doit Ãªtre gÃ©rÃ©e par l'indexeur. Les recherches boolÃ©ennes peuvent Ãªtre classÃ©es. Un index physique unique est crÃ©Ã© pour une collection Greenstone: des niveaux document/section et champs texte/mÃ©tadonnÃ©es sont tous traitÃ©s par ce seul index. Pour les collections avec de nombreux indices, cela se traduit par une plus petite taille d'index que celle d'une collection utilisant MG. Pour les grandes collections, la recherche peut Ãªtre un peu plus lente en raison de l'indexation au niveau du mot plutÃŽt qu'au niveau de la section.  
 CDM.BuildTypeManager.lucene:Lucene  
-CDM.BuildTypeManager.lucene_Description:"Lucene a Ã©tÃ© dÃ©veloppÃ© par Apache Software Foundation. Il gÃšre la recherche par champ et par proximitÃ©, mais uniquement Ã  un seul niveau (par exemple, des documents complets ou des sections individuelles, mais pas les deux). Par consÃ©quent, les index de document et de section pour une collection ont besoin de deux indexes distincts. Il offre un Ã©ventail de fonctionnalitÃ©s de recherche similaire Ã  MGPP avec l'ajout de jokers Ã  un caractÃšre, de recherche par Ã©tendue et de tri des rÃ©sultats de recherche par champ de mÃ©tadonnÃ©es. Il a Ã©tÃ© ajoutÃ© Ã  Greenstone en vue de faciliter la crÃ©ation incrÃ©mentale de collection, que MG et MGPP ne peut pas fournir."  
+CDM.BuildTypeManager.lucene_Description:Lucene a Ã©tÃ© dÃ©veloppÃ© par Apache Software Foundation. Il gÃšre la recherche par champ et par proximitÃ©, mais uniquement Ã  un seul niveau (par exemple, des documents complets ou des sections individuelles, mais pas les deux). Par consÃ©quent, les index de document et de section pour une collection ont besoin de deux index physiques distincts. Il offre un Ã©ventail de fonctionnalitÃ©s de recherche similaire Ã  MGPP avec l'ajout de jokers Ã  un caractÃšre, de recherche par Ã©tendue et de tri de rÃ©sultats de recherche par champ de mÃ©tadonnÃ©es. Il a Ã©tÃ© ajoutÃ© Ã  Greenstone pour faciliter la crÃ©ation incrÃ©mentale d'une collection, ce que MG et MGPP ne peuvent pas faire.  
 CDM.BuildTypeManager.Current_Type:Indexeur en service: {0}  
 CDM.BuildTypeManager.Change:Modifier ...  
@@ -186,5 +186,6 @@
 CDM.IndexingManager.Casefold_Tooltip:CrÃ©er un index sans la prise en compte de la casse, afin d'avoir la possibilitÃ© de faire des recherches sans respecter la casse des mots.  
 CDM.IndexingManager.Options:Options d'indexation:  
-CDM.IndexingManager.Separate_cjk:Segmentation de texte CJK  
+CDM.IndexingManager.Separate_cjk:Segmentation de texte CJK
+  
 CDM.IndexingManager.Separate_cjk_Tooltip:<html>Segment de texte CJK (Chinois, Japonais, CorÃ©en). Dans l'Ã©tat actuel, il faut insÃ©rer un espace entre chaque caractÃšre CJK.<br> Cela est nÃ©cessaire pour chercher dans du texte CJK si le texte n'a pas dÃ©jÃ  Ã©tÃ© fractionnÃ© en mots</html>  
 CDM.IndexingManager.Stem:Ignorer terminaisons  
@@ -507,5 +508,4 @@
 ExportAsPrompt.Successful_Title:Exportation terminÃ©e
 ExportAsPrompt.Title:Exporter la collection
-  
 ExportAsPrompt.SaveAs:Exporter sur
 ExportAsPrompt.SaveAs_Tooltip:SÃ©lectionnez le format dans lequel vous souhaitez exporter
@@ -619,4 +619,6 @@
 General.Edit:Modifier valeur  
 General.Error:Erreur
+
+
 General.No:Non
 General.NotSunJava:Fournisseur java: {0}\nNotez que l'Interface BibliothÃšcaire a Ã©tÃ© dÃ©veloppÃ©e et testÃ©e avec Java de Sun Microsystems.  
@@ -701,5 +703,5 @@
 #
 #***** Invalid Metadata ******
-InvalidMetadata.Message:Cet Ã©lÃ©ment de metadata est restreint au assortissement prÃ©-dÃ©finit de valeurs. S' il vous plaÃ®t choisissez une des formes des valeurs existantes.  
+InvalidMetadata.Message:Cet Ã©lÃ©ment de mÃ©tadonnÃ©es est restreint Ã  un ensemble de valeurs prÃ©-dÃ©finies. S' il vous plaÃ®t choisissez une parmi les valeurs existantes.  
 InvalidMetadata.Title:Metadata Invalide  
 #***************************
@@ -843,5 +845,5 @@
 MissingEXEC_GS3.Title:Adresse de base (URL) du progiciel Greenstone 3  
 #***** Missing GLIServer *****
-MissingGLIServer.Message:Saisissez dans le champ de texte ci-dessous l'adresse du script "gliserver.pl" du serveur Ã  distance. Rappelez-vous qu'une URL valide commence par le protocole "http://" et finit par "gliserver".  
+MissingGLIServer.Message:Saisissez dans le champ de texte ci-dessous l'adresse du script "gliserver.pl" du serveur Ã  distance. Rappelez-vous qu'une URL valide commence par le protocole "http://" et finit par "gliserver.pl".  
 MissingGLIServer.Title:PrÃ©cisez l' adresse du serveur GLI  
 #***** Missing GSDL *****