Index: /gsdl/trunk/macros/french2.dm
===================================================================
--- /gsdl/trunk/macros/french2.dm	(revision 19607)
+++ /gsdl/trunk/macros/french2.dm	(revision 19608)
@@ -56,6 +56,5 @@
 }  
 
-_textaboutgreenstone_ [l=fr] {
-<p>Greenstone est un ensemble de logiciels dont le but est de construire et de donner accÃšs Ã  des collections d'informations constituant des bibliothÃšques numÃ©riques. Greenstone permet d'organiser les informations d'une faÃ§on innovante et de les publier soit sur Internet soit sur un CD-ROM. Greenstone est produit par le <b>Projet de BibliothÃšque NumÃ©rique de Nouvelle-ZÃ©lande</b> Ã  <b>l'UniversitÃ© de Waikato</b>, et est dÃ©veloppÃ© et distribuÃ© en coopÃ©ration avec <b>l'UNESCO</b> et le Projet de <b>BibliothÃšques Humanitaires et de DÃ©veloppement</b>. C'est un logiciel libre (open source) qui est disponible par tÃ©lÃ©chargement du site web <a href="http://greenstone.org">http://greenstone.org</a>, la licence d'utilisation est la licence publique gÃ©nÃ©rale de GNU (GPL).</p>
+_textaboutgreenstone_ [l=fr] {<p>Greenstone est un ensemble de logiciels dont le but est de construire et de donner accÃšs Ã  des collections d'informations constituant des bibliothÃšques numÃ©riques. Greenstone permet d'organiser les informations d'une faÃ§on innovante et de les publier soit sur Internet soit sur un CD-ROM. Greenstone est produit par le <b>Projet de BibliothÃšque NumÃ©rique de Nouvelle-ZÃ©lande</b> Ã  <b>l'UniversitÃ© de Waikato</b>, et est dÃ©veloppÃ© et distribuÃ© en coopÃ©ration avec <b>l'UNESCO</b> et le Projet de <b>BibliothÃšques Humanitaires et de DÃ©veloppement</b>. C'est un logiciel libre (open source) qui est disponible par tÃ©lÃ©chargement du site web <a href="http://greenstone.org">http://greenstone.org</a>, la licence d'utilisation est la licence publique gÃ©nÃ©rale de GNU (GPL).</p>
 
 <p>Le but de ce progiciel est de permettre aux utilisateurs, appartenant en particulier aux universitÃ©s, bibliothÃšques, et autres institutions du service public, de construire leurs propres bibliothÃšques numÃ©riques. Les bibliothÃšques numÃ©riques sont en train de rÃ©volutionner la mÃ©thode de distribution et d'acquisition des connaissances dans les communautÃ©s et institutions partenaires de l'UNESCO autour du monde dans les domaines de l'Ã©ducation, de la science et de la culture, et en particulier dans celles dans les pays en voie de dÃ©veloppement. Nous espÃ©rons que ce progiciel servira Ã  encourager la construction et la diffusion de bibliothÃšques numÃ©riques afin de partager des connaissances et de les placer dans le domaine public.</p>
@@ -395,7 +394,7 @@
 la bibliothÃšque numÃ©rique pour identifier le contenu de la collection.
 Par exemple: Â«Rapports techniques en informatiqueÂ» ou
-Â«BibliothÃšque sur le dÃ©veloppement humanitaireÂ».
-
-}
+Â«BibliothÃšque du DÃ©veloppement HumanitaireÂ».
+
+}  
 
 _textcea_ [l=fr] {Contact, adresse Ã©lectronique:}
@@ -716,17 +715,14 @@
 
 _textgreenstone4_ [l=fr] {Bon nombre de collections sont distribuÃ©es sur CD-ROM avec le logiciel
-Greenstone. Par exemple, le <i>Projet de BibliothÃšques sur le
-DÃ©velopement Humanitaire</i> contient 1230 publications qui couvrent des
+Greenstone. Par exemple, la <i>BibliothÃšque du DÃ©velopement Humanitaire</i> contient 1230 publications qui couvrent des
 sujets allant de la comptabilitÃ© jusqu'aux conditions d'hygiÃšne liÃ©es Ã 
 l'eau. L'accÃšs Ã  cette collection peut se faire Ã  partir d'un ordinateur
 aux capacitÃ©s modestes tels que ceux que l'on trouve dans les pays en
-voie de dÃ©veloppement. On peut accÃ©der aux informations en recherchant
+dÃ©veloppement. On peut accÃ©der aux informations en recherchant
 des mots ou une phrase en particulier, en parcourant les publications
 par sujet, en parcourant les publications par titre, en parcourant les
 publications par organisation, en parcourant une liste de Â«Comment
 faireÂ», ou et en affichant au hasard des pages de couverture de
-publications.
-
-}
+publications.}  
 
 _textcustomisationtitle_ [l=fr] {Personnalisation}
@@ -954,5 +950,5 @@
 _textconfigfiles_ [l=fr] {Fichiers de configuration}
 _textlogs_ [l=fr] {Journaux}
-_textusagelog_ [l=fr] {Journal de l'utilisation}
+_textusagelog_ [l=fr] {historique de l'utilisation}  
 _textinitlog_ [l=fr] {Journal d'initialisation}
 _texterrorlog_ [l=fr] {Journal des erreurs}
@@ -963,5 +959,5 @@
 _textvol_ [l=fr] {Afficher les journaux en ligne}
 _textcmuc_ [l=fr] {CrÃ©ation, maintenance et mise Ã  jour des collections}
-_textati_ [l=fr] {AccÃšs aux informations techniques telles que les arguments CGI}
+_textati_ [l=fr] {accÃšs aux informations techniques telles que les arguments CGI}  
 
 _texttsaa_ [l=fr] {L'accÃšs Ã  ces services peut se faire en utilisant la barre de navigation