Index: /release-kits/lirk2/ant-scripts/create-cdrom-components.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-cdrom-components.xml	(revision 19614)
+++ /release-kits/lirk2/ant-scripts/create-cdrom-components.xml	(revision 19615)
Index: /release-kits/mark2/ant-scripts/create-cdrom-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-cdrom-components.xml	(revision 19614)
+++ /release-kits/mark2/ant-scripts/create-cdrom-components.xml	(revision 19615)
@@ -10,4 +10,6 @@
 		<antcall target="compile-cdrom-installer"/> <!-- from init -->
 		<antcall target="prepare-cdrom-components"/>
+		<antcall target="compile-cdrom-wrapper"/>
+		<antcall target="create-cdrom-components-archive"/>
 	</target>
 
@@ -15,12 +17,9 @@
 
 		<delete dir="cdrom"/>
-		<mkdir dir="cdrom/build"/>
 		<mkdir dir="cdrom/dist/Software"/>
-		<mkdir dir="cdrom/dist/Java/Mac"/>
-		<mkdir dir="cdrom/dist/Java/Jars"/>
 
 		<!-- core -->
 		<mkdir dir="cdrom/dist/Software/core/mac"/>
-		<copy todir="components/tmp/cdrom/Software/core/mac" overwrite="true">
+		<copy todir="cdrom/dist/Software/core/mac" overwrite="true">
 			<fileset dir="components/tmp/core">
 				<include name="bin/darwin"/>
@@ -50,3 +49,29 @@
 	</target>
 
+	<target name="compile-cdrom-wrapper">
+		
+		<mkdir dir="wrapped-installer/cdrom"/>
+		<!-- create app for cdrom installer -->
+		<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
+		<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Resources" file="${mark2.home}/greenstone2/icon/icon.icns"/>
+		<chmod file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/MacOS/JavaApplicationStub" perm="+x"/>
+
+		<!-- copy bundled files -->
+		<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
+
+		<!-- substitute in real values -->
+		<rsr file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
+		<rsr file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+
+	</target>
+
+	<target name="create-cdrom-components-archive">
+		<mkdir dir="products"/>
+		<exec dir="cdrom/dist" executable="bash">
+			<arg value="-c"/>
+			<arg value="tar -czf ../../products/cdrom-components-${version}-mac.tar.gz *"/>
+		</exec>
+	</target>
+
+
 </project>
Index: /release-kits/mark2/ant-scripts/wrap.xml
===================================================================
--- /release-kits/mark2/ant-scripts/wrap.xml	(revision 19614)
+++ /release-kits/mark2/ant-scripts/wrap.xml	(revision 19615)
@@ -3,10 +3,5 @@
 
 	<target name="wrap">
-		<antcall target="wrap-main-installer"/>
-		<antcall target="wrap-cdrom-installer"/>
-		<antcall target="archive-cdrom-components-and-installer"/>
-	</target>
 
-	<target name="wrap-main-installer">
 		<mkdir dir="products"/>
 
@@ -51,25 +46,3 @@
 	</target>
 
-	<target name="wrap-cdrom-installer">
-		<mkdir dir="products"/>
-		<!-- create app for cdrom installer -->
-		<copy todir="${basedir}/wrapped-installer/cdrom.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
-		<copy todir="${basedir}/wrapped-installer/cdrom.app/Contents/Resources" file="${mark2.home}/greenstone2/icon/icon.icns"/>
-		<chmod file="${basedir}/wrapped-installer/cdrom.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
-
-		<!-- copy bundled files -->
-		<copy todir="${basedir}/wrapped-installer/cdrom.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
-
-		<!-- substitute in real values -->
-		<rsr file="${basedir}/wrapped-installer/cdrom.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
-		<rsr file="${basedir}/wrapped-installer/cdrom.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
-	</target>
-
-	<target name="archive-cdrom-components-and-installer">
-		<tar destfile="products/cdrom-components-${version}-mac.tar.gz" compression="gzip">
-			<tarfileset dir="components/tmp"><include name="cdrom/**/*"/></tarfileset>
-			<tarfileset dir="wrapped-installer"><include name="cdrom.app/**/*"/></tarfileset>
-		</tar>
-	</target>
-
 </project>