Index: /release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk2/installer/antinstall-config.xml	(revision 19623)
+++ /release-kits/lirk2/installer/antinstall-config.xml	(revision 19624)
@@ -89,4 +89,16 @@
 		<!-- end bundled components -->
 
+		<!-- start cdrom -->
+
+		<!-- the size of this component has to be maintained manually as we can't
+			know at compile time how big the documented examples are -->
+		<target
+			target="Installing Documented Examples"
+			diskRequirement="108 MB"
+			defaultValue="true" 
+			displayText=""/>
+		<!-- end cdrom -->
+
+
 	</page>
 
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 19623)
+++ /release-kits/lirk2/installer/build.xml	(revision 19624)
@@ -157,3 +157,10 @@
 	</target>
 
+	<target name="Installing Documented Examples">
+		<copy todir="${installDir}/collect">
+			<fileset dir="${orig.dir}/Documented Examples" includes="documented-examples/**/*"/>
+		</copy>
+	</target>
+
+
 </project>
Index: /release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark2/installer/antinstall-config.xml	(revision 19623)
+++ /release-kits/mark2/installer/antinstall-config.xml	(revision 19624)
@@ -84,4 +84,16 @@
 		<!-- end bundled components -->
 
+		<!-- start cdrom -->
+
+		<!-- the size of this component has to be maintained manually as we can't
+			know at compile time how big the documented examples are -->
+		<target
+			target="Installing Documented Examples"
+			diskRequirement="108 MB"
+			defaultValue="true" 
+			displayText=""/>
+		<!-- end cdrom -->
+
+
 	</page>
 
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 19623)
+++ /release-kits/mark2/installer/build.xml	(revision 19624)
@@ -146,4 +146,10 @@
 	</target>
 
+	<target name="Installing Documented Examples">
+		<copy todir="${installDir}/collect">
+			<fileset dir="${orig.dir}/Documented Examples" includes="documented-examples/**/*"/>
+		</copy>
+	</target>
+
 
 </project>
Index: /release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/core/ant-scripts/init.xml	(revision 19623)
+++ /release-kits/shared/core/ant-scripts/init.xml	(revision 19624)
@@ -154,7 +154,10 @@
 		<copy file="${basedir}/installer/antinstall-config.xml" tofile="${basedir}/installer/antinstall-config-binary.xml"/>
 		<dcff file="${basedir}/installer/antinstall-config-binary.xml" startTag=".*&lt;!-- start source release --&gt;.*" endTag=".*&lt;!-- end source release --&gt;.*" />
+		<dcff file="${basedir}/installer/antinstall-config-binary.xml" startTag=".*&lt;!-- start cdrom --&gt;.*" endTag=".*&lt;!-- end cdrom --&gt;.*" />
 
 		<copy file="${basedir}/installer/build.xml" tofile="${basedir}/installer/build-binary.xml"/>
 		<dcff file="${basedir}/installer/build-binary.xml" startTag=".*&lt;!-- start cdrom --&gt;.*" endTag=".*&lt;!-- end cdrom --&gt;.*" />
+
+
 
 		<installer file="${basedir}/installer/Greenstone-${version}-${os.suffix}.jar"
@@ -179,4 +182,5 @@
 		<copy file="${basedir}/installer/antinstall-config.xml" tofile="${basedir}/installer/antinstall-config-cdrom.xml"/>
 		<dcff file="${basedir}/installer/antinstall-config-cdrom.xml" startTag=".*&lt;!-- start source release --&gt;.*" endTag=".*&lt;!-- end source release --&gt;.*" />
+		<dcff file="${basedir}/installer/antinstall-config-cdrom.xml" startTag=".*&lt;!-- start web --&gt;.*" endTag=".*&lt;!-- end web --&gt;.*" />
 
 		<copy file="${basedir}/installer/build.xml" tofile="${basedir}/installer/build-cdrom.xml"/>
@@ -222,4 +226,5 @@
 		<copy file="${basedir}/installer/antinstall-config.xml" tofile="${basedir}/installer/antinstall-config-source.xml"/>
 		<dcff file="${basedir}/installer/antinstall-config-source.xml" startTag=".*&lt;!-- start binary release --&gt;.*" endTag=".*&lt;!-- end binary release --&gt;.*" />
+
 		<installer file="${basedir}/installer/Greenstone-${version}-${os.suffix}-source.jar"
 			compress="true"
@@ -314,5 +319,5 @@
 		<math result="component.megabytesize.ant" operand1="${component.bytesize.ant}" operation="/" operand2="1048576" datatype="int"/>
 		<property name="component.size.ant" value="${component.megabytesize.ant} MB"/>
-		
+
 		<!-- put the concrete values of things in the config -->
 		<rsr>
Index: /release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk2/installer/antinstall-config.xml	(revision 19623)
+++ /release-kits/wirk2/installer/antinstall-config.xml	(revision 19624)
@@ -97,4 +97,16 @@
 			displayText=""/>
 		<!-- end bundled components -->
+
+		<!-- start cdrom -->
+
+		<!-- the size of this component has to be maintained manually as we can't
+			know at compile time how big the documented examples are -->
+		<target
+			target="Installing Documented Examples"
+			diskRequirement="108 MB"
+			defaultValue="true" 
+			displayText=""/>
+		<!-- end cdrom -->
+
 		
 	</page>
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 19623)
+++ /release-kits/wirk2/installer/build.xml	(revision 19624)
@@ -263,4 +263,9 @@
 	</target>
 
+	<target name="Installing Documented Examples">
+		<copy todir="${installDir}/collect">
+			<fileset dir="${orig.dir}/Documented Examples" includes="documented-examples/**/*"/>
+		</copy>
+	</target>
 
 