Index: /other-projects/trunk/realistic-books/setup.bat
===================================================================
--- /other-projects/trunk/realistic-books/setup.bat	(revision 19630)
+++ /other-projects/trunk/realistic-books/setup.bat	(revision 19630)
@@ -0,0 +1,87 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+set RBLANG=en
+
+
+echo Realistic Books Software
+echo (C) 2008, New Zealand Digital Library Project
+echo.
+echo.
+echo.
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraciÂ¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo EchÂc de l'installation - votre variable PATH n'a pas ÂtÂ ajustÂe
+if "%GSDLLANG%" == "ru" echo ÂÃ¡Ã¢Â Â­Â®Â¢ÂªÂ  Â­Â¥ Ã£Â€Â Â«Â Ã¡Ã¬ - ÂÂÂÂ Â­Â¥ Â¡Ã«Â« Ã£Ã¡Ã¢Â Â­Â®Â¢Â«Â¥Â­
+
+goto End
+
+:WinNT
+set REALISTIC_BOOKS_HOME=%CD%
+set RBOS=windows
+
+
+if "%RB_CP_SET%" == "yes" goto Success
+set PATH=%REALISTIC_BOOKS_HOME%\bin\windows\perl\bin;%REALISTIC_BOOKS_HOME%\bin\windows;%REALISTIC_BOOKS_HOME%\bin\script;%PATH%
+set RB_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set REALISTIC_BOOKS_HOME=%CD%
+set RBOS=windows
+
+
+if "%RB_CP_SET%" == "yes" goto Success
+set PATH="%REALISTIC_BOOKS_HOME%\bin\windows\perl\bin";"%REALISTIC_BOOKS_HOME%\bin\windows";"%REALISTIC_BOOKS_HOME%\bin\script";"%PATH%"
+set RB_CP_SET=yes
+goto Success
+
+
+:Success
+if "%RBLANG%" == "en" echo.
+if "%RBLANG%" == "en" echo Your environment has successfully been set up to run RealisticBooks.
+if "%RBLANG%" == "en" echo Note that these settings will only have effect within this MS-DOS
+if "%RBLANG%" == "en" echo session. You will therefore need to rerun setup.bat if you want
+if "%RBLANG%" == "en" echo to run RealisticBooks programs from a different MS-DOS session.
+if "%RBLANG%" == "en" echo.
+
+if "%RBLANG%" == "es" echo.
+if "%RBLANG%" == "es" echo Su ambiente ha sido configurado para correr los programas RealisticBooks.
+if "%RBLANG%" == "es" echo Recuerde que estos ajustes Â£nicamente tendrÂ n efecto dentro de esta sesiÂ¢n
+if "%RBLANG%" == "es" echo MS-DOS. Por lo tanto deberÂ  ejecutar nuevamente setup.bat si desea
+if "%RBLANG%" == "es" echo correr los programas de RealisticBooks desde una sesiÂ¢n MS-DOS diferente.
+if "%RBLANG%" == "es" echo.
+
+if "%RBLANG%" == "fr" echo.
+if "%RBLANG%" == "fr" echo Votre environnement a ÂtÂ configuÂre avec succÂs pour exÂcuter RealisticBooks
+if "%RBLANG%" == "fr" echo Notez que ces paramÂtrages n'auront d'effet que dans cette session MS-DOS.
+if "%RBLANG%" == "fr" echo Vous devrez par consÂquent rÂexÂcuter setup.bat si vous voulez faire
+if "%RBLANG%" == "fr" echo lancer des programmes RealisticBooks dans une autre session MS-DOS.
+if "%RBLANG%" == "fr" echo.
+
+if "%RBLANG%" == "ru" echo.
+if "%RBLANG%" == "ru" echo ÂÂ ÃšÂ¥ Â®ÂªÃ Ã£ÂŠÂ¥Â­ÂšÂ¥ Â¡Ã«Â«Â® Ã£Ã¡Â¯Â¥ÃšÂ­Â® Â­Â Ã¡Ã¢Ã Â®Â¥Â­Â®, Ã§Ã¢Â®Â¡Ã« Ã£Ã¡Ã¢Â Â­Â®Â¢ÂšÃ¢Ã¬ RealisticBooks ÂÂ¡Ã Â Ã¢ÂšÃ¢Â¥
+if "%RBLANG%" == "ru" echo Â¢Â­ÂšÂ¬Â Â­ÂšÂ¥, Ã§Ã¢Â® Ã­Ã¢Âš Â­Â Â§Â­Â Ã§Â¥Â­ÂšÃ¯ Â¡Ã£Â€Ã£Ã¢ Ã¢Â®Â«Ã¬ÂªÂ® ÂšÂ¬Â¥Ã¢Ã¬ Ã­Ã€Ã€Â¥ÂªÃ¢ Â¢ Â¯Ã Â¥Â€Â¥Â«Â Ã¥ Ã­Ã¢Â®Â£Â® MS DOS
+if "%RBLANG%" == "ru" echo Ã¡Â¥Ã¡Ã¡ÂšÃ¯. ÂÃ« Â¡Ã£Â€Â¥Ã¢Â¥ Â¯Â®Ã­Ã¢Â®Â¬Ã£ Â€Â®Â«ÂŠÂ­Ã« Â¯Â®Â¢Ã¢Â®Ã Â­Â® Ã£Â¯Ã Â Â¢Â«Ã¯Ã¢Ã¬ setup.bat, Â¥Ã¡Â«Âš ÂÃ« Ã¥Â®Ã¢ÂšÃ¢Â¥
+if "%RBLANG%" == "ru" echo Ã£Â¯Ã Â Â¢Â«Ã¯Ã¢Ã¬ Â¯Ã Â®Â£Ã Â Â¬Â¬Â Â¬Âš ÂÂ¥Â«Ã±Â­Ã«Ã¥ ÂšÂ§Â¢Â¥Ã ÂŠÂ¥Â­Â­Ã«Ã¥ Â¯Â®Ã Â®Â€ Â®Ã¢ Ã Â Â§Â«ÂšÃ§Â­Â®Â© Ã¡Â¥Ã¡Ã¡ÂšÂš MS DOS.
+if "%RBLANG%" == "ru" echo.
+
+:End
+
+:: test writability of REALISTIC_BOOKS_HOME
+@call "%REALISTIC_BOOKS_HOME%\bin\script\checkwritability.bat"
+popd
+
+
+
+