Index: /other-projects/trunk/realistic-books/bin/script/checkwritability.bat
===================================================================
--- /other-projects/trunk/realistic-books/bin/script/checkwritability.bat	(revision 19635)
+++ /other-projects/trunk/realistic-books/bin/script/checkwritability.bat	(revision 19635)
@@ -0,0 +1,75 @@
+@echo off
+
+if "%REALISTIC_BOOKS_HOME%" == "" goto EnvNotSet
+
+REM test if we have write permission on the greenstone install directory
+echo.
+echo Checking if REALISTIC_BOOKS_HOME is writable...
+echo This is a temporary file. It is safe to delete it. > "%REALISTIC_BOOKS_HOME%\books\testing.tmp"
+if not exist "%REALISTIC_BOOKS_HOME%\books\testing.tmp" goto CantWrite
+del "%REALISTIC_BOOKS_HOME%\books\testing.tmp"
+echo REALISTIC_BOOKS_HOME has write permission for the current user.
+echo.
+goto TheEnd
+
+:CantWrite
+echo.
+echo.
+echo.
+echo -----------------------------------
+
+if "%RBLANG%" == "en" echo  WARNING: CANNOT WRITE TO REALISTIC_BOOKS_HOME
+if "%RBLANG%" == "es" echo  ATENCIÃN: NO PUEDE ESCRIBIR EN EL DIRECTORIO RAÃZ DE GREENSTONE.
+if "%RBLANG%" == "fr" echo  AVERTISSEMENT: ECRIRE IMPOSSIBLE DANS LE DOSSIER D'ACCUEIL DE GREENSTONE
+if "%RBLANG%" == "ru" echo  ÐÐÐÐÐÐÐÐ: ÐÐÐÐÐÐÐÐÐÐ ÐÐ¡Ð£Ð©ÐÐ¡Ð¢ÐÐÐ¢Ð¬ ÐÐÐÐÐ¡Ð¬ Ð ÐÐÐÐÐšÐÐ®Ð® ÐÐÐÐÐ£ GREENSTONE
+
+echo -----------------------------------
+If "%RBLANG%" == "en" echo Greenstone needs write permission for the Greenstone home folder,
+if "%RBLANG%" == "en" echo which is %REALISTIC_BOOKS_HOME%,
+if "%RBLANG%" == "en" echo but right now it does not.
+if "%RBLANG%" == "en" echo Please grant "Full Control" for this folder (and all subfolders)  
+if "%RBLANG%" == "en" echo to the current user (%username%) and try again.
+
+if "%RBLANG%" == "es" echo Greenstone necesita permiso de escritura en el directorio:
+if "%RBLANG%" == "es" echo %REALISTIC_BOOKS_HOME%,
+if "%RBLANG%" == "es" echo pero no lo tiene.
+if "%RBLANG%" == "es" echo Por favor, concÃ©dale âControl completoâ al usuario actual (%username%), 
+if "%RBLANG%" == "es" echo y vuelva a intentarlo.
+
+if "%RBLANG%" == "fr" echo Greenstone nÃ©cessite une autorisation d'Ã©criture dans le dossier 
+if "%RBLANG%" == "fr" echo principal de Greenstone: %REALISTIC_BOOKS_HOME%,
+if "%RBLANG%" == "fr" echo mais pour l'instant cette autorisation n'existe pas.
+if "%RBLANG%" == "fr" echo Autorisez le Â«Â ContrÃŽle TotalÂ Â» sur ce dossier (et sur tous les sous-dossiers)
+if "%RBLANG%" == "fr" echo pour l'utilisateur courant (%username%) puis re-essayez.
+
+if "%RBLANG%" == "ru" echo Greenstone ÑÑÐµÐ±ÑÐµÑÑÑ ÑÐ°Ð·ÑÐµÑÐµÐœÐžÐµ ÐœÐ° Ð·Ð°Ð¿ÐžÑÑ Ð² ÐŽÐŸÐŒÐ°ÑÐœÑÑ Ð¿Ð°Ð¿ÐºÑ %REALISTIC_BOOKS_HOME%,
+if "%RBLANG%" == "ru" echo Ð² ÐŽÐ°ÐœÐœÑÐ¹ ÐŒÐŸÐŒÐµÐœÑ Ð·Ð°Ð¿ÐžÑÑ Ð² ÐŽÐŸÐŒÐ°ÑÐœÑÑ Ð¿Ð°Ð¿ÐºÑ Ð·Ð°Ð¿ÑÐµÑÐµÐœÐ°.
+if "%RBLANG%" == "ru" echo ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ° ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÐµ ÐÐŸÐ»ÐœÑÐ¹ ÐŽÐŸÑÑÑÐ¿ ÐŽÐ»Ñ Ð¿Ð°Ð¿ÐºÐž (Ðž Ð²ÑÐµÑ
+ Ð²Ð»ÐŸÐ¶ÐµÐœÐœÑÑ
+ Ð¿Ð°Ð¿ÐŸÐº)
+if "%RBLANG%" == "ru" echo ÐŽÐ»Ñ ÑÐµÐºÑÑÐµÐ³ÐŸ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ (%username%) Ðž Ð¿ÐŸÐ¿ÑÐŸÐ±ÑÐ¹ÑÐµ Ð·Ð°ÐœÐŸÐ²ÐŸ.
+
+echo.
+
+if "%RBLANG%" == "en" echo (Alternatively, re-install Greenstone to a location where you have Full
+if "%RBLANG%" == "en" echo Control already, such as a your home folder or 'My Documents'.)
+
+if "%RBLANG%" == "es" echo (Alternativamente, reinstale Greenstone en una localizaciÃ³n en la que tenga âControl completoâ, 
+if "%RBLANG%" == "es" echo como su directorio raÃ­z o âMis documentosâ).
+
+if "%RBLANG%" == "fr" echo (Alternativement, re-installez Greenstone Ã  l'emplacement oÃ¹ vous avez dÃ©jÃ  le Â«Â ContrÃŽle TotalÂ Â», 
+if "%RBLANG%" == "fr" echo comme votre dossier d'accueil ou  "Mes Documents".)
+
+if "%RBLANG%" == "ru" echo (ÐÐžÐ±ÐŸ, Ð¿ÐµÑÐµÑÑÑÐ°ÐœÐŸÐ²ÐžÑÐµ Greenstone Ð² ÑÑ Ð¿Ð°Ð¿ÐºÑ, Ðº ÐºÐŸÑÐŸÑÐŸÐ¹ ÐÑ ÑÐ¶Ðµ ÐžÐŒÐµÐµÑÐµ Ð¿ÐŸÐ»ÐœÑÐ¹ ÐŽÐŸÑÑÑÐ¿, 
+if "%RBLANG%" == "ru" echo ÐœÐ°Ð¿ÑÐžÐŒÐµÑ Ð² ÑÐ²ÐŸÑ ÐŽÐŸÐŒÐ°ÑÐœÑÑ Ð¿Ð°Ð¿ÐºÑ ÐžÐ»Ðž Ð² Ð¿Ð°Ð¿ÐºÑ "ÐÐŸÐž ÐŽÐŸÐºÑÐŒÐµÐœÑÑ".)
+
+echo.
+echo.
+echo.
+echo.
+goto TheEnd
+
+:EnvNotSet
+echo REALISTIC_BOOKS_HOME not set
+
+:TheEnd