Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19444)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19638)
@@ -1095,5 +1095,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ep-14"><b>Build</b> the collection and <b>preview</b>. All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted. </Text>
+<Text id="ep-14"><b>Build</b> the collection and <b>preview</b>. All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted. </Text>
 </NumberedItem>
 <NumberedItem>
@@ -2695,8 +2695,8 @@
 </Heading>
 <Comment>
-<Text id="0695">When you reach a newspaper, only its associated text is displayed. When either of the <AutoText text="Te Waka o Te Iwi"/> newspapers is accessed, the document view presents the message <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/> No scanned image information (screen-view resolution or otherwise) is shown, even though it has been computed and stored with the document. This can be fixed by a format statement that modifies the default behaviour for <AutoText text="DocumentText"/>.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0696">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="DocumentText"/> format statement. The default format string displays the document's plain text, which, if there is none, is set to <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/> Change this to the following text. (This format statement can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; doc_tweak.txt</Path>)</Text>
+<Text id="0695">When you reach a newspaper, only its associated text is displayed. When either of the <AutoText text="Te Waka o Te Iwi"/> newspapers is accessed, the document view presents the message <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/> No scanned image information (screen-view resolution or otherwise) is shown, even though it has been computed and stored with the document. This can be fixed by a format statement that modifies the default behaviour for <AutoText text="DocumentText"/>.</Text>
+</Comment>
+<NumberedItem>
+<Text id="0696">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="DocumentText"/> format statement. The default format string displays the document's plain text, which, if there is none, is set to <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/> Change this to the following text. (This format statement can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; doc_tweak.txt</Path>)</Text>
 <Format>
 &lt;table&gt;&lt;tr&gt;<br/>  
@@ -2708,5 +2708,5 @@
 <Text id="0698">Including <Format>[screenicon]</Format> has the effect of embedding the screen-sized image generated by switching the <AutoText text="screenview"/> option on in <AutoText text="PagedImgPlug"/>. It is hyperlinked to the original image by the construct <Format>[srclink]...[/srclink]</Format>. This is a large image but it may be scaled by your browser.</Text>
 </Comment>
-<Text id="0698a">This modification will display screenview image, but does nothing about the dummy text <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/>, which will still be displayed. To get rid of this, edit the <AutoText text="DocumentText"/> format statement again and replace</Text>
+<Text id="0698a">This modification will display screenview image, but does nothing about the dummy text <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>, which will still be displayed. To get rid of this, edit the <AutoText text="DocumentText"/> format statement again and replace</Text>
 <Format>
 &lt;td valign=top&gt;[Text]&lt;/td&gt;
@@ -2718,5 +2718,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0698c"><b>Preview</b> the collection and view one of the <AutoText text="Te Waka o Te Iwi"/> documents. The line <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/> should now be gone.</Text>
+<Text id="0698c"><b>Preview</b> the collection and view one of the <AutoText text="Te Waka o Te Iwi"/> documents. The line <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/> should now be gone.</Text>
 </NumberedItem>
 <Heading>
@@ -3016,5 +3016,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/>. To rectify this, select <AutoText text="DocumentText"/> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and use the following as its format statement (this text is in <Path>doctxt_tweak.txt</Path> in the <Path>format_tweaks</Path> folder mentioned earlier):</Text>
+<Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. To rectify this, select <AutoText text="DocumentText"/> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and use the following as its format statement (this text is in <Path>doctxt_tweak.txt</Path> in the <Path>format_tweaks</Path> folder mentioned earlier):</Text>
 <Format>&lt;center&gt;&lt;table width=_pagewidth_ border=1&gt;<br/> 
 &nbsp;&nbsp;&lt;tr&gt;&lt;td colspan=2 align=center&gt;<br/> 