Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19652)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19676)
@@ -1853,5 +1853,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <AutoText text="dc.Title;Title"/> <AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <AutoText key="metadata::ex.Title"/> <AutoText text="AZList"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
+<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <AutoText text="dc.Title;Title"/> <AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <AutoText text="dc.Title;Title"/> <AutoText text="List"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2171,5 +2171,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <NumberedItem>
@@ -2187,5 +2187,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0544">On Windows, if the Greenstone Digital Library Local Library Server is already running, re-start it by clicking the CD icon on the task bar and then pressing <i>Restart Library</i>. If not, start it up by selecting <i>Greenstone Digital Library</i> from the <i>Start</i> menu. On Linux and Mac, just do a forced reload/refresh of the web browser.</Text>
+<Text id="0544">On Windows, if the Greenstone Digital Library Local Library Server is already running, re-start it by clicking the world icon on the task bar and then pressing <i>Restart Library</i>. On Linux and Mac, just do a forced reload/refresh of the web browser. On Linux and Mac, just do a forced reload/refresh of the web browser (eg. by pressing Ctrl and the refresh button in Firefox to do a forced reload). If the Local Library Server hasn't been started yet, start it up by selecting <i>Greenstone Digital Library</i> from the <i>Start</i> menu on Windows, or run <Path>./gs-server.sh</Path> on Linux and Mac.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2196,5 +2196,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0547">Observe the low quality of the metadata. For example, the four items under <AutoText text="A Hard Day's Night"/> (under <AutoText text="H" type="quoted"/> in the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser) have different variants as their titles. The collection would have been easier to organize had the metadata been cleaned up manually first, but that would be a big job. Only a tiny amount of metadata was added by hand&mdash;fewer than ten items. The original metadata was left untouched and Greenstone facilities used to clean it up automatically. (You will find in <TutorialRef id="multimedia_collection_build"/> that this is possible but tricky.)</Text>
+<Text id="0547">Observe the low quality of the metadata. For example, the four items under <AutoText text="A Hard Day's Night"/> (under <AutoText text="H" type="quoted"/> in the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser) have different variants as their titles. The collection would have been easier to organize had the metadata been cleaned up manually first, but that would be a big job. Only a tiny amount of metadata was added by hand&mdash;fewer than ten items. The original metadata was left untouched and Greenstone facilities were used to clean it up automatically. (You will find in <TutorialRef id="multimedia_collection_build"/> that this is possible but tricky.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2244,5 +2244,6 @@
 </NumberedItem>
 <Comment>
-<Text id="0563">Now there's a twist. The <AutoText key="metadata::dc.Title"/> metadata won't appear in <AutoText key="coredm::_Global:labelTitle_" type="italics"/> because the classifier has been instructed to use <AutoText key="metadata::ex.Title"/>. But changing the classifier to use <AutoText key="metadata::dc.Title"/> would miss out all the extracted titles! Fortunately, there's a way of dealing with this by specifying a list of metadata names in the classifier.</Text>
+<Text id="0563a">For versions before 2.82, the default <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier only uses <AutoText key="metadata::ex.Title"/> metadata. This has been changed since 2.82 version, and the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier now uses both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. So the next step only applies to versions before 2.82.</Text>
+<Text id="0563">For pre-2.82 versions, now there's a twist. The <AutoText key="metadata::dc.Title"/> metadata won't appear in <AutoText key="coredm::_Global:labelTitle_" type="italics"/> because the classifier has been instructed to use <AutoText key="metadata::ex.Title"/>. But changing the classifier to use <AutoText key="metadata::dc.Title"/> would miss out all the extracted titles! Fortunately, there's a way of dealing with this by specifying a list of metadata names in the classifier.</Text>
 </Comment>
 <NumberedItem>
@@ -2257,4 +2258,6 @@
 </Bullet>
 </BulletList>
+</NumberedItem>
+<NumberedItem>
 <Text id="0566"><b>Build</b> the collection again, and <b>preview</b> it.</Text>
 <Text id="0567">Extracted metadata is unreliable. But it is very cheap! On the other hand, manually assigned metadata is reliable, but expensive. The previous section of this exercise has shown how to aim for the best of both worlds by using extracted metadata but correcting it when it is wrong.</Text>
@@ -2279,5 +2282,5 @@
 </Bullet>
 <Bullet>
-<Text id="0574">Add an <AutoText text="AZCompactList" /> classifier. Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="sort"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
+<Text id="0574">Add an <AutoText text="AZCompactList" /> classifier. Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="sort_leaf_nodes_using"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
 </Bullet>
 </BulletList>
@@ -2440,8 +2443,9 @@
 </Comment>
 <Comment>
-<Text id="0621">To do this we must put the Librarian Interface into a different mode. The interface supports four levels of user: <AutoText key="glidict::Preferences.Mode.Assistant"/>, who can add documents and metadata to collections, and create new ones whose structure mirrors that of existing collections; <AutoText key="glidict::Preferences.Mode.Librarian"/>, who can, in addition, design new collections, but cannot use specialist IT features (e.g. regular expressions); <AutoText text="Library Systems Specialist"/>, who can use all design features, but cannot perform troubleshooting tasks (e.g. interpreting debugging output from Perl programs); and <AutoText key="glidict::Preferences.Mode.Expert"/>, who can perform all functions.</Text>
-</Comment>
-<Comment>
-<Text id="0622">So far you have mostly been operating in <AutoText key="glidict::Preferences.Mode.Librarian"/> mode. We switch to <AutoText text="Library Systems Specialist"/> mode for the next exercise.</Text>
+<Text id="0621">We are going to use the <AutoText text="removesuffix"/> option of a classifier, and to do this we must put the Librarian Interface into a different mode in versions before 2.82. Since Greenstone 2.82, the interface supports three levels of user: <AutoText key="glidict::Preferences.Mode.Assistant"/>, who can add documents and metadata to collections, and create new ones whose structure mirrors that of existing collections; <AutoText key="glidict::Preferences.Mode.Librarian"/>, who can, in addition, design new collections, but cannot use specialist IT features (e.g. regular expressions); and <AutoText key="glidict::Preferences.Mode.Expert"/>, who can perform all functions. For Greenstone versions before 2.82, there is another user type between <AutoText key="glidict::Preferences.Mode.Librarian"/> and <AutoText key="glidict::Preferences.Mode.Expert"/>&mdash;<AutoText text="Library Systems Specialist"/>, who can use all design features, but cannot perform troubleshooting tasks (e.g. interpreting debugging output from Perl programs).</Text>
+</Comment>
+<Comment>
+<Text id="0622a">For Greenstone 2.82, skip the next step.</Text>
+<Text id="0622">Now we switch to <AutoText text="Library Systems Specialist"/> mode.</Text>
 </Comment>
 <NumberedItem>
@@ -2462,5 +2466,5 @@
 </NumberedItem>
 <Comment>
-<Text id="0639">The previous exercise was done in <AutoText text="Library Systems Specialist"/> mode because it requires the use of regular expressions, something librarians are not normally trained in.</Text>
+<Text id="0639">The previous exercise was done in <AutoText text="Library Systems Specialist"/> mode (for versions before 2.82) because it requires the use of regular expressions, and now the <AutoText text="Library Systems Specialist"/> mode doesn't exist anymore and regular expressions can be edited in <AutoText key="glidict::Preferences.Mode.Librarian"/> mode.</Text>
 </Comment>
 <Comment>
@@ -2840,5 +2844,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="sc25c">Go to the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel, and add a new <AutoText text="PagedImagePlugin"/> plugin. Enable the <AutoText text="create_screenview"/> option, set the <AutoText text="documenttype"/> option to <AutoText text="hierarchy"/> and set the <AutoText text="process_exp"/> option to <AutoText text="xml.*.item$"/>.</Text>
+<Text id="sc25c">Go to the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel, and add a new <AutoText text="PagedImagePlugin"/> plugin. Enable the <AutoText text="create_screenview"/> option, set the <AutoText text="documenttype"/> option to <AutoText text="hierarchy"/> and set the <AutoText text="process_exp"/> option to <AutoText text="xml.*\.item$"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2898,5 +2902,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <Comment>
@@ -2936,5 +2940,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0713">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete the two <AutoText text="AZList" /> classifiers (<AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/>).</Text>
+<Text id="0713">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete the two <AutoText text="List" /> classifiers (<AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Source"/>).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3002,5 +3006,5 @@
 </Title>
 <Prerequisite id="OAI_collection"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <Comment>
@@ -3082,5 +3086,5 @@
 <Text id="0750">Use METS as Greenstone's Internal Representation</Text>
 </Title>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <NumberedItem>
@@ -3112,5 +3116,5 @@
 </Title>
 <SampleFiles folder="dspace"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <NumberedItem>
@@ -3155,5 +3159,5 @@
 <Text id="0776">The DSpace exported files contain Dublin Core metadata for title and author (amongst other things).</Text>
 <NumberedItem>
-<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/> indexes, and add one for <AutoText key="metadata::dc.Title"/> called "titles" and another for <AutoText key="metadata::dc.Contributor"/> called "authors".</Text>
+<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/> indexes, and add one for <AutoText key="metadata::dc.Title"/> and another for <AutoText key="metadata::dc.Contributor"/>. Rename the <AutoText key="metadata::dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel, select this index and change its value to "authors". Greenstone 2.82 automatically detects index names, so <AutoText key="metadata::dc.Title"/> index will be named as <AutoText key="coredm::_Global:labelTitle_"/></Text>
 </NumberedItem>
 <NumberedItem>