Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19679)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19680)
@@ -2211,5 +2211,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <Comment>
@@ -2223,4 +2223,5 @@
 <Path>sample_files &rarr; beatles &rarr; advbeat_small</Path> 
 <Text id="0555">into your new collection. Do this by opening up <Path>advbeat_small</Path>, selecting the eight items within it (from <Path>discography</Path> to <Path>beatles_midi.zip</Path>), and dragging them across. Because some of these files are in MP3 and MARC formats you will be asked whether to include <AutoText text="MP3Plugin" /> and <AutoText text="MARCPlugin" /> in your collection. Click <AutoText key="glidict::CDM.PlugInManager.QuickAdd" type="button"/>.</Text>
+<Text id="0555a">A window pops up explaining that the import documents contain css files, which none of Greenstone's plugins are expected to process directly. CSS files normally belong to a web page and we don't need to process them directly. Click <AutoText key="glidict::General.OK" type="button"/> button.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2267,5 +2268,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0569">First let's remove the <AutoText text="AZList" /> classifier for filenames, which isn't very useful, and replace it with a browsing structure that groups documents by category (discography, lyrics, audio etc.). Categories are defined by manually assigned metadata.</Text>
+<Text id="0569">First let's remove the <AutoText text="List" /> classifier for filenames, which isn't very useful, and replace it with a browsing structure that groups documents by category (discography, lyrics, audio etc.). Categories are defined by manually assigned metadata.</Text>
 <BulletList>
 <Bullet>
@@ -2282,5 +2283,5 @@
 </Bullet>
 <Bullet>
-<Text id="0574">Add an <AutoText text="AZCompactList" /> classifier. Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="sort_leaf_nodes_using"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
+<Text id="0574">Add a <AutoText text="List"/> classifier and click the <AutoText text="bookshelf_type"/> and select <AutoText text="always"/> in the drop-down list (or add an <AutoText text="AZCompactList"/> for versions before 2.82). Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="sort_leaf_nodes_using"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
 </Bullet>
 </BulletList>
@@ -2300,5 +2301,5 @@
 </Bullet>
 <Bullet>
-<Text id="0582">Ensure that <AutoText text="VList" /> is selected, and make the changes that are highlighted below. You need to insert five lines into the first line, and delete the second line. (Note, the changes are available in a text file, see below.)</Text>
+<Text id="0582">Ensure that <AutoText text="VList"/> is selected, and make the changes that are highlighted below. You need to insert five lines into the first line, and delete the second line. (Note, the changes are available in a text file, see below.)</Text>
 <Text id="0582a">Change:</Text>
 <Format>
@@ -2306,5 +2307,5 @@
 <highlight>&lt;td valign=top&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt; </highlight><br/>
 &lt;td valign=top&gt;[highlight]<br/>
-{Or}{[dls.Title],[dc.Title],[Title],Untitled} <br/>
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled} <br/>
 [/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format> 
@@ -2320,5 +2321,5 @@
 <highlight>[link][icon][/link]}}}</highlight>&lt;/td&gt; <br/>
 &lt;td valign=top&gt;[highlight]<br/>
-{Or}{[dls.Title],[dc.Title],[Title],Untitled}<br/>
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br/>
 [/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format> 
@@ -2343,5 +2344,5 @@
 [link][icon][/link]}}&lt;/td&gt; <br/>
 &lt;td valign=top&gt;[highlight]<br/>
-{Or}{[dls.Title],[dc.Title],[Title],Untitled}<br/>
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br/>
 [/highlight]<highlight>{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}</highlight>&lt;/td&gt;</Format> 
 </Bullet>
@@ -2350,8 +2351,8 @@
 </NumberedItem>
 <Heading>
-<Text id="0596">Using <AutoText text="AZCompactList"/> rather than <AutoText text="AZList"/></Text>
-</Heading>
-<NumberedItem>
-<Text id="0597">There are sometimes several documents with the same title. For example, <AutoText text="All My Loving" type="italics"/> appears both as lyrics and tablature (under <AutoText text="ALL MY LOVING" type="italics"/>). The <AutoText key="coredm::_Global:labelTitle_"/> browser might be improved by grouping these together under a bookshelf icon. This is a job for an <AutoText text="AZCompactList" />.</Text>
+<Text id="0596">Using <AutoText text="AZCompactList"/> rather than <AutoText text="List"/></Text>
+</Heading>
+<NumberedItem>
+<Text id="0597">There are sometimes several documents with the same title. For example, <AutoText text="All My Loving" type="italics"/> appears both as lyrics and tablature (under <AutoText text="ALL MY LOVING" type="italics"/>). The <AutoText key="coredm::_Global:labelTitle_"/> browser might be improved by grouping these together under a bookshelf icon. This is a job for an <AutoText text="AZCompactList"/>. In the previous tutorial we showed how to use the <AutoText text="bookshelf_type"/> option in <AutoText key="List"/> classifier to group documents with the same metadata value (<AutoText key="metadata::dc.Format"/> in that case) in one bookshelf. Here we use <AutoText text="AZCompactList"/> instead.</Text>
 <BulletList>
 <Bullet>
@@ -2359,5 +2360,5 @@
 </Bullet>
 <Bullet>
-<Text id="0599">Remove the <AutoText key="metadata::ex.Title"/> classifier (at the top)</Text>
+<Text id="0599">Remove the <AutoText key="metadata::dc.Title;Title"/> classifier (at the top)</Text>
 </Bullet>
 <Bullet>
@@ -2387,5 +2388,5 @@
 <highlight>&lt;td&gt;{If}{[numleafdocs],([numleafdocs])}&lt;/td&gt;</highlight><br/> 
 &lt;td valign=top&gt;[highlight]<br/>
-{Or}{[dls.Title],[dc.Title],[Title],Untitled}<br/>
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br/>
 [/highlight]&lt;/td&gt;</Format> 
 <Text id="0609"><b>Preview</b> the result (you don't need to build the collection.) Bookshelves in the titles and browse classifiers should show how many documents they contain.</Text>
@@ -3200,5 +3201,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60" current="2.81"/>
+<Version initial="2.60" current="2.82"/>
 <Content>
 <Comment>
@@ -3243,5 +3244,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w" current="2.81"/>
+<Version initial="2.70w" current="2.82"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>