Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19688)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19690)
@@ -2443,16 +2443,6 @@
 <Text id="0618a">We now clean up the <AutoText key="coredm::_Global:labelTitle_"/> browser.</Text>
 </Comment>
-<Comment>
-<Text id="0621">We are going to use the <AutoText text="removesuffix"/> option of a classifier, and to do this we must put the Librarian Interface into a different mode in versions before 2.82. Since Greenstone 2.82, the interface supports three levels of user: <AutoText key="glidict::Preferences.Mode.Assistant"/>, who can add documents and metadata to collections, and create new ones whose structure mirrors that of existing collections; <AutoText key="glidict::Preferences.Mode.Librarian"/>, who can, in addition, design new collections, but cannot use specialist IT features (e.g. regular expressions); and <AutoText key="glidict::Preferences.Mode.Expert"/>, who can perform all functions. For Greenstone versions before 2.82, there is another user type between <AutoText key="glidict::Preferences.Mode.Librarian"/> and <AutoText key="glidict::Preferences.Mode.Expert"/>&mdash;<AutoText text="Library Systems Specialist"/>, who can use all design features, but cannot perform troubleshooting tasks (e.g. interpreting debugging output from Perl programs).</Text>
-</Comment>
-<Comment>
-<Text id="0622a">For Greenstone 2.82, skip the next step.</Text>
-<Text id="0622">Now we switch to <AutoText text="Library Systems Specialist"/> mode.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0624">To switch modes, click <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu> and change to <AutoText text="Library Systems Specialist"/>. Note from the description that appears that you need to be able to formulate regular expressions to use this mode fully. That is what we do below.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0635">Next we return to our <AutoText key="coredm::_Global:labelTitle_"/> browser and clean it up. The aim is to amalgamate variants of titles by stripping away extraneous text. For example, we would like to treat <AutoText text="ANTHOLOGY 1" type="quoted"/>, <AutoText text="ANTHOLOGY 2" type="quoted"/> and <AutoText text="ANTHOLOGY 3" type="quoted"/> the same for grouping purposes. To achieve this:</Text>
+<NumberedItem>
+<Text id="0621">We are going to use the <AutoText text="removesuffix"/> classifier option. The aim is to amalgamate variants of titles by stripping away extraneous text. For example, we would like to treat <AutoText text="ANTHOLOGY 1" type="quoted"/>, <AutoText text="ANTHOLOGY 2" type="quoted"/> and <AutoText text="ANTHOLOGY 3" type="quoted"/> the same for grouping purposes. To achieve this:</Text>
 <BulletList>
 <Bullet>
@@ -2466,7 +2456,4 @@
 <Text id="0638"><b>Build</b> the collection and <b>preview</b> the result. Observe how many more times similar titles have been amalgamated under the same bookshelf. Test your understanding of regular expressions by trying to rationalize the amalgamations. (Note: <AutoText text="[[:punct:]]" type="italics"/> stands for any punctuation character.) The icons beside the Word and PDF documents are not the correct ones, but that will be fixed in the next format statement.</Text>
 </NumberedItem>
-<Comment>
-<Text id="0639">The previous exercise was done in <AutoText text="Library Systems Specialist"/> mode (for versions before 2.82) because it requires the use of regular expressions, and now the <AutoText text="Library Systems Specialist"/> mode doesn't exist anymore and regular expressions can be edited in <AutoText key="glidict::Preferences.Mode.Librarian"/> mode.</Text>
-</Comment>
 <Comment>
 <Text id="0640">One powerful use of regular expressions in the exercise was to clean up the <AutoText key="coredm::_Global:labelTitle_"/> browser. Perhaps the best way of doing this would be to have proper title metadata. The metadata extracted from HTML files is messy and inconsistent, and this was reflected in the original <AutoText key="coredm::_Global:labelTitle_" type="italics"/> browser. Defining proper title metadata would be simple but rather laborious. Instead, we have opted to use regular expressions in the <AutoText text="AZCompactList"/> classifier to clean up the title metadata. This is difficult to understand, and a bit fiddly to do, but if you can cope with its idiosyncrasies it provides a quick way to clean up the extracted metadata and avoid having to enter a large amount of metadata.</Text>
@@ -2839,10 +2826,4 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="sc25b">For versions before 2.82, you need to change the mode in the Librarian Interface to <AutoText text="Library Systems Specialist"/> (or <AutoText key="glidict::Preferences.Mode.Expert"/>) mode (using <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu>), because you will need to change the order of plugins, and use regular expressions in the plugin options.</Text>
-<Comment>
-<Text id="ep-23c-1">For version 2.71, you'll need to close GLI now then restart it to get the list of plugins to update properly.</Text>
-</Comment>
-</NumberedItem>
-<NumberedItem>
 <Text id="sc25c">Go to the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel, and add a new <AutoText text="PagedImagePlugin"/> plugin. Enable the <AutoText text="create_screenview"/> option, set the <AutoText text="documenttype"/> option to <AutoText text="hierarchy"/> and set the <AutoText text="process_exp"/> option to <AutoText text="xml.*\.item$"/>.</Text>
 </NumberedItem>
@@ -3120,11 +3101,8 @@
 <Content>
 <NumberedItem>
-<Text id="0761">First, change to <AutoText text="Library Systems Specialist"/> (or <AutoText key="glidict::Preferences.Mode.Expert"/>) mode (using <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/></Menu>), because you will need to change the order of plug-ins in the <AutoText key="glidict::GUI.Design"/> panel.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0763">Start a <b>new collection</b> called <b>StoneD</b> and fill out its fields appropriately. Leave the metadata set at Dublin Core, the default.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0765">Now add <AutoText text="DSpacePlugin" />. Leave the plugin options at their defaults and press <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0763">Start a <b>new collection</b> called <b>StoneD</b> and fill out its fields appropriately. </Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0765">In the <AutoText key="glidict::GUI.Design"/> panel add <AutoText text="DSpacePlugin" />. Leave the plugin options at their defaults and press <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3147,5 +3125,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0773">Select <AutoText text="DSpacePlugin" /> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Switch on its configuration option <AutoText text="first_inorder_ext"/>. Set its value to <AutoText text="pdf,doc,rtf" type="quoted"/> in the popup window that appears and press <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0773">Select <AutoText text="DSpacePlugin" /> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Switch on its configuration option <AutoText text="first_inorder_ext"/>. Set its value to <AutoText text="pdf,doc,rtf" type="quoted"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3160,8 +3138,8 @@
 <Text id="0776">The DSpace exported files contain Dublin Core metadata for title and author (amongst other things).</Text>
 <NumberedItem>
-<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/> indexes, and add one for <AutoText key="metadata::dc.Title"/> and another for <AutoText key="metadata::dc.Contributor"/>. Rename the <AutoText key="metadata::dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel, select this index and change its value to "authors". Greenstone 2.82 automatically detects index names, so <AutoText key="metadata::dc.Title"/> index will be named as <AutoText key="coredm::_Global:labelTitle_"/></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> and <b>delete</b> both <AutoText text="AZList" /> classifiers (<AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/>). Add an <AutoText text="AZList" /> classifier for <AutoText key="metadata::dc.Title"/> and an <AutoText text="AZCompactList" /> classifier for <AutoText key="metadata::dc.Contributor"/>.</Text>
+<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Source"/> index, and add one for <AutoText key="metadata::dc.Contributor"/>. Rename the <AutoText key="metadata::dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel, select this index and change its value to "_labelAuthor_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3172,7 +3150,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0782">Also, let's add a format statement for the classifier based on <AutoText key="metadata::dc.Contributor"/> metadata. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu (under <AutoText key="glidict::CDM.GUI.Formats"/> on the  <AutoText key="glidict::GUI.Format"/> panel), select the item that says:</Text>
+<Text id="0782">Also, let's add a format statement for the classifier based on <AutoText key="metadata::dc.Contributor"/> metadata. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu (under <AutoText key="glidict::CDM.GUI.Formats"/> on the  <AutoText key="glidict::GUI.Format"/> panel), select the item that starts with:</Text>
 <Indent>
-CL2: AZCompactList -metadata <AutoText key="metadata::dc.Contributor" type="plain"/>
+CL2: List -metadata <AutoText key="metadata::dc.Contributor" type="plain"/>
 </Indent> 
 </NumberedItem>